Public Class Form1

    Private Sub SaveAsItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles SaveAsItem.Click
        Dim sifrovanyText As String = ""
        Dim znak As Char
        Dim pocitadlo, znakuVSouboru As Short

        SaveFileDialog1.Filter = "Textové soubory (*.txt)|*.txt"
        If SaveFileDialog1.ShowDialog() = DialogResult.OK Then
            Try
                'ulozeni textu s pouzitim schematu sifrovani
                '(ASCII kod + 1)
                znakuVSouboru = TextovePole1.Text.Length
                For pocitadlo = 0 To znakuVSouboru - 1
                    znak = TextovePole1.Text.Substring(pocitadlo, 1)
                    'urceni ASCII kodu znaku a jeho navyseni o hodnotu 1
                    sifrovanyText = sifrovanyText & Chr(Asc(znak) + 1)
                Next pocitadlo
                'zapis sifrovaneho textu do souboru
                My.Computer.FileSystem.WriteAllText(SaveFileDialog1.FileName, sifrovanyText, False)
                TextovePole1.Text = sifrovanyText
                'odstraneni vyberu textu
                TextovePole1.Select(0, 0)
                CloseItem.Enabled = True
            Catch ex As Exception
                MsgBox("Vyskytla se chyba." & vbCrLf & ex.Message)
            End Try
        End If
    End Sub

    Private Sub InsertDateItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles InsertDateItem.Click
        TextovePole1.Text = DateString & vbCrLf & TextovePole1.Text
        'odstraneni vyberu textu
        TextovePole1.Select(0, 0)
    End Sub

    Private Sub ExitItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ExitItem.Click
        End
    End Sub

    Private Sub OpenItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles OpenItem.Click
        Dim celyText As String
        Dim i, znakuVSouboru As Short
        Dim znak As Char
        Dim desifrovanyText As String = ""

        OpenFileDialog1.Filter = "Textové soubory (*.txt)|*.txt"
        'zobrazeni dialogu Otevrit pro otevreni souboru
        If OpenFileDialog1.ShowDialog() = DialogResult.OK Then
            If My.Computer.FileSystem.FileExists(OpenFileDialog1.FileName) Then
                'otevreni souboru a zachyceni veskerych pripadnych
                'chyb pomoci zpracovatele chyb
                Try
                    celyText = My.Computer.FileSystem.ReadAllText(OpenFileDialog1.FileName)
                    'desifrovani textu odectenim hodnoty 1 od ASCII kodu znaku
                    'nejprve je nutne zjistit delku retezce
                    znakuVSouboru = celyText.Length
                    'smycka pres vsechny znaky v souboru
                    For i = 0 To znakuVSouboru - 1
                        'nacteni jednoho znaku
                        znak = celyText.Substring(i, 1)
                        'odecteni hodnoty 1 od ASCII kodu
                        'a vytvoreni noveho retezce
                        desifrovanyText = desifrovanyText & Chr(Asc(znak) - 1)
                    Next i
                    'nasleduje zobrazeni desifrovaneho textu
                    TextovePole1.Text = desifrovanyText
                    Popisek1.Text = OpenFileDialog1.FileName
                    'odstraneni vyberu textu
                    TextovePole1.Select(0, 0)
                    'zobrazeni ukazatele v textovem poli
                    TextovePole1.Enabled = True
                    'povoleni prikazu Zavrit v nabidce Soubor
                    CloseItem.Enabled = True
                    'zakaz prikazu Otevrit v nabidce Soubor
                    OpenItem.Enabled = False
                Catch ex As Exception
                    MsgBox("Vyskytla se chyba." & vbCrLf & ex.Message)
                End Try
            End If
        End If
    End Sub

    Private Sub CloseItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles CloseItem.Click
        'vycisteni textoveho pole
        TextovePole1.Text = ""
        Popisek1.Text = "Pomocí příkazu Otevřít načtěte textový soubor."
        'zakaz prikazu Zavrit v nabidce Soubor
        CloseItem.Enabled = False
        'povoleni prikazu Otevrit v nabidce Soubor
        OpenItem.Enabled = True
    End Sub

End Class
